%define _prefix /opt/freeware
%define _defaultdocdir %{_prefix}/doc

Summary: 	Library of graphics routines used by libgnomecanvas
Name: 		libart_lgpl
Version: 	2.3.17
Release: 	4 
URL: 		http://www.gnome.org/
Source: 	%{name}-%{version}.tar.bz2

Patch0:		libart_lgpl-2.3.17-aix.patch
Patch1:		libart_lgpl-2.3.17-autotools.patch

License: 	LGPL
Group: 		System Environment/Libraries 
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root

%description
Graphics routines used by the GnomeCanvas widget and some other 
applications. libart renders vector paths and the like.

%package devel
Summary: 	Libraries and headers for libart_lgpl.
Group: 		Development/Libraries
Requires: 	%name = %{version}

%description devel
Graphics routines used by the GnomeCanvas widget and some other 
applications. libart renders vector paths and the like.

%prep
%setup -q

if test x$PATCH = x ; then
  PATCH=patch ;
fi
$PATCH -p2 -s < %{_sourcedir}/libart_lgpl-2.3.17-aix.patch
$PATCH -p2 -s < %{_sourcedir}/libart_lgpl-2.3.17-autotools.patch


%build
PATH=%{_bindir}:$PATH ./configure --prefix=%{_prefix}
make

%install
if test "%{buildroot}" != "/"; then
	rm -rf %{buildroot}
fi
mkdir -p %{buildroot}
make DESTDIR=%{buildroot} install-strip

# Make the links
cd %{buildroot}
for dir in bin lib include
do
        mkdir -p usr/$dir
        cd usr/$dir
        ln -sf ../..%{_prefix}/$dir/* .
        cd -
%post
#Prototype support gtk 64 bit
mkdir -p /opt/freeware/64/lib
cd  /opt/freeware/64/lib
ln -sf ../../lib/libart_lgpl_2.a .

%files
%defattr(-,root,system)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_libdir}/lib*.a

/usr/lib/lib*.a

%files devel
%defattr(-,root,system)
%{_libdir}/lib*a
%{_libdir}/pkgconfig/*
%{_bindir}/libart2-config
%{_includedir}/*

/usr/lib/*
/usr/bin/*
/usr/include/*

%changelog
*  Fri Dec 23 2005  BULL
 - Release  4 
 - Prototype support gtk 64 bit 

*  Wed Aug 10 2005  BULL
 - Release  3

*  Mon May 30 2005  BULL
 - Release  2
 - .o removed from lib
*  Wed May 11 2005  BULL
 - Release  1
 - New version  version: 2.3.17

